%define		destdir		   /usr/local/bxh-xcede-tools/%{version}
%define		modulesdestination /usr/local/share/Modules/modulefiles/bxh-xcede-tools

Name:		bxh-xcede-tools
Version:	1.10.7
%define uversion %( echo %{version} | tr . _ )
Release:	2%{?dist}
Summary:	BIAC XML header tools

Group:		Scientific/Libraries
License:	BIRN License
URL:		http://www.nitrc.org/projects/bxh_xcede_tools
Source0:	bxh_xcede_tools-%{version}.tar.bz2
Patch1:		buildfixes.patch
Patch2:		donotinstall.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	glib-devel libxml2-devel zlib-devel libxslt-devel
BuildRequires:	gdome2-devel gsl-devel boost-devel
%if 0%{?rhel} > 5
BuildRequires:	texlive-latex fop xalan-j2 docbook-style-xsl docbook-utils
%endif
BuildRequires:	dcmtk354-devel
Requires:	dcmtk354 glib libxml2 zlib libxslt gsl gdome2
AutoReqProv:	0

%description
A collection of data processing and image analysis tools for data in BXH or
XCEDE format. This includes data format encapsulation/conversion, 
event-related analysis, QA tools, and more. These tools form the basis of
the fBIRN QA procedures and are also distributed as part of the fBIRN Data
Upload Scripts.

%package devel
Summary: Development Libraries and Headers for bxh-xcede-tools
Group: Development/Libraries
Requires: dcmtk354-devel glib-devel libxml2-devel zlib-devel libxslt-devel gdome2-devel gsl-devel boost-devel
Requires: %{name} = %{version}-%{release}
AutoReqProv:	0

%description devel
Development Libraries and Headers for bxh-xcede-tools.  You only need to install
this if you are developing programs that use the bxh-xcede-tools libraries.

%prep
%setup -q -n RELEASE_%{uversion}/bxh_xcede_tools
%patch1 -p1 -b .fixes
%patch2 -p1 -b .donotinstall

%build
. /etc/profile.d/modules.sh
module load dcmtk
CPATH="/usr/local/dcmtk/3.5.4"
for i in `find ${CPATH}/* -type d`; do
	CPATH=${CPATH}:$i
done
# seems to be missing from dcmtk - let's see if we can do without
#touch libsrc/dcdebug.h
export CFLAGS="%{optflags} -I/usr/local/dcmtk/3.5.4/include/dcmtk/ofstd -I/usr/local/dcmtk/3.5.4/include/dcmtk/oflog -I/usr/local/dcmtk/3.5.4/include/dcmtk/dcmdata"
export CPATH
export LDFLAGS="$LDFLAGS -L/usr/local/dcmtk/3.5.4/lib64"
%configure --prefix=%{destdir}
make

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}%{destdir}
%if 0%{?rhel} > 5
mv %{buildroot}%{destdir}/share/doc/bxh_xcede_tools-1.10.7/usermanual %{buildroot}%{destdir}/share/doc/
rmdir %{buildroot}%{destdir}/share/doc/bxh_xcede_tools-1.10.7
%endif
mkdir -p %{buildroot}%{modulesdestination}
cat > %{buildroot}%{modulesdestination}/%{version} <<ENDMODULE
#%Module1.0#####################################################################
##
## bxh-xcede-tools Module
##
proc ModulesHelp { } {
        global version

        puts stderr "\tThis module sets appropriate paths for using bxh-xcede-tools %{version}"
        puts stderr "\t"
        puts stderr "\n\tVersion \$version\n"
}

module-whatis   "Loads settings for bxh-xcede-tools %{version}"
module load	dcmtk/3.5.4
prepend-path    PATH                    %{destdir}/bin
prepend-path    LD_LIBRARY_PATH         %{destdir}/lib
prepend-path    LIBRARY_PATH            %{destdir}/lib
prepend-path    CPATH                   %{destdir}/include
prepend-path    PERL5LIB		%{destdir}/bin

set     version      "3.2.3"
ENDMODULE

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README*
%dir %{destdir}
%dir %{destdir}/lib
%{destdir}/bin
%{destdir}/lib/*
%exclude %{destdir}/lib/lib*a
%dir %{modulesdestination}
%{modulesdestination}/%{version}

%files devel
%defattr(-,root,root,-)
%doc docs
%{destdir}/include
%{destdir}/lib/lib*a
%if 0%{?rhel} > 5
%{destdir}/share/doc/*
%endif

%changelog
* Mon May 20 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
